# saga::stream Namespace Reference

The Streams API package. More...

## Classes
class | stream
| This is the ob ject that encapsulates all client stream ob jects. More...
class | server
| The stream_server object establishes a listening/server object that waits for client connections. More...
## Namespaces
namespace | metrics
| Available metrics defined for the Stream API package.

namespace | attributes
| Available attributes defined for the Stream API package.

## Enumerations
enum | state { Unknown = -1, New = 1, Open = 2, Closed = 3, Dropped = 4, Error = 5 }
| The Streams API package. More...
enum | activity { Read = 1, Write = 2, Exception = 4 }
| The SAGA stream API allows for event driven communication. More...

## Detailed Description

The Streams API package.

## Enumeration Type Documentation

enum saga::stream::state

The Streams API package.

Detailed description here...

A SAGA stream can be in several states. A SAGA stream can be in several states. The stream states are New, Open, Closed, Dropped and Error. All method calls, apart from the DESTRUCTOR, will cause an IncorrectState exception if the stream is in a final state.

Enumerator:

  Unknown |
  New |
  Open |
  Closed |
  Dropped |
  Error |

enum saga::stream::activity

The SAGA stream API allows for event driven communication.

A stream can flag activities, i.e. Read, Write and Exception, and the application can react on these activities. It is possible to poll for these events (using wait() with a potential timeout), or to get asynchronous notification of these events, by using the respective metrics.

Enumerator:

  Read |
  Write |
  Exception |